{% extends 'crud_base.html' %}
{% load widget_tweaks %}
{% block content %}

<div class="container pt-5">
    <form method="post" novalidate>
        {% csrf_token %}
        {% for field in form.visible_fields %}
        <div class="form-group">
            <label for="{{ field.id_for_label }}">{{ field.label }}</label>
            {{ field|add_class:'form-control' }}
            {% for error in field.errors %}
            <span class="help-block">{{ error }}</span>
            {% endfor %}
        </div>
        {% endfor %}
        <div class="form-group">
            <button type="submit" class="btn btn-success">
                <span class="glyphicon glyphicon-ok"></span>Submit
            </button>
            <a href="posts/" class="btn btn-defult">Cancel</a>
        </div>
    </form>
</div>

{% endblock %}